Skip to content

List Jails (Simple)

GET
/jail/simple
curl --request GET \
--url https://sylve.lan:8181/api/jail/simple \
--header 'Authorization: <Authorization>'

Retrieve the lightweight projection of all configured jails

Success

Media typeapplication/json
object
data
Array<object>
object
cores
integer
ctId
integer
id
integer
memory
integer
name
string
resourceLimits
boolean
state
string
type
string
Allowed values: freebsd linux
error
string
message
string
status
string
Example
{
"data": [
{
"type": "freebsd"
}
]
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}